## Create

**post** `/compute/v1/admin/workspaces`

Create a workspace

### Body Parameters

- `data_retention: optional object { unit, value }`

  How long result data is retained before automatic deletion. Defaults to 7 days if not specified. Maximum retention is 14 days (336 hours).

  - `unit: "hours" or "days"`

    Time unit for retention duration

    - `"hours"`

    - `"days"`

  - `value: number`

    Duration value. Maximum retention is 14 days (or 336 hours).

- `name: optional string`

  Workspace name

### Returns

- `id: string`

  Workspace ID

- `archived_at: string`

- `created_at: string`

- `data_retention: object { unit, value }`

  How long result data is retained before automatic deletion. Defaults to 7 days if not specified. Maximum retention is 14 days (336 hours).

  - `unit: "hours" or "days"`

    Time unit for retention duration

    - `"hours"`

    - `"days"`

  - `value: number`

    Duration value. Maximum retention is 14 days (or 336 hours).

- `is_default: boolean`

  Whether this is the default workspace

- `name: string`

  Workspace name

- `updated_at: string`

### Example

```http
curl https://api.boltz.bio/compute/v1/admin/workspaces \
    -H 'Content-Type: application/json' \
    -H "x-api-key: $BOLTZ_API_KEY" \
    -d '{}'
```
